Data.Aeson.Types

# Core JSON types

data Value

type Encoding

unsafeToEncoding

fromEncoding

data Series

type Array

emptyArray

type Pair

type Object

emptyObject

# Convenience types and functions

data DotNetTime

typeMismatch

# Type conversion

data Parser a

data Result a

class FromJSON a

fromJSON

parse

parseEither

parseMaybe

class ToJSON a

class KeyValue kv

modifyFailure

## Keys for maps

class ToJSONKey a

data ToJSONKeyFunction a

toJSONKeyText

contramapToJSONKeyFunction

class FromJSONKey a

data FromJSONKeyFunction a

fromJSONKeyCoerce

coerceFromJSONKeyFunction

mapFromJSONKeyFunction

## Liftings to unary and binary type constructors

class FromJSON1 f

parseJSON1

class FromJSON2 f

parseJSON2

class ToJSON1 f

toJSON1

toEncoding1

class ToJSON2 f

toJSON2

toEncoding2

## Generic JSON classes

class GFromJSON arity f

data FromArgs arity a

class GToJSON arity f

class GToEncoding arity f

data ToArgs res arity a

data Zero

data One

genericToJSON

genericLiftToJSON

genericToEncoding

genericLiftToEncoding

genericParseJSON

genericLiftParseJSON

# Inspecting ``Value`s`

withObject

withText

withArray

withNumber

withScientific

withBool

pairs

foldable

(.:)

(.:?)

(.:!)

(.!=)

object

parseField

parseFieldMaybe

parseFieldMaybe'

explicitParseField

explicitParseFieldMaybe

explicitParseFieldMaybe'

listEncoding

listValue

listParser

# Generic and TH encoding configuration

data Options

data SumEncoding

camelTo

camelTo2

defaultOptions

defaultTaggedObject